Datagraph
Update a datagraph schema
PATCH
/
datagraph
/
schemas
/
{id}
Update a datagraph schema
curl --request PATCH \
--url https://api.reelevant.com/v2/datasources/datagraph/schemas/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schema": [
{
"name": "<string>",
"datasourceId": "<string>",
"columns": [
{
"name": "<string>",
"type": "string",
"nullable": true,
"description": "<string>",
"default": "<string>"
}
],
"description": "<string>",
"indexes": [
{
"type": "Index",
"columns": [
"<string>"
],
"description": "<string>"
}
],
"virtualColumns": [
{
"name": "<string>",
"type": "string",
"query": "<string>",
"nullable": true,
"description": "<string>"
}
],
"uniqueKeys": [
{
"type": "UniqueKey",
"columns": [
"<string>"
],
"description": "<string>"
}
],
"relations": [
{
"type": "Relation",
"columns": [
"<string>"
],
"reference": {
"datasourceId": "<string>",
"columns": [
"<string>"
],
"table": "<string>"
},
"description": "<string>"
}
]
}
]
}
'import requests
url = "https://api.reelevant.com/v2/datasources/datagraph/schemas/{id}"
payload = { "schema": [
{
"name": "<string>",
"datasourceId": "<string>",
"columns": [
{
"name": "<string>",
"type": "string",
"nullable": True,
"description": "<string>",
"default": "<string>"
}
],
"description": "<string>",
"indexes": [
{
"type": "Index",
"columns": ["<string>"],
"description": "<string>"
}
],
"virtualColumns": [
{
"name": "<string>",
"type": "string",
"query": "<string>",
"nullable": True,
"description": "<string>"
}
],
"uniqueKeys": [
{
"type": "UniqueKey",
"columns": ["<string>"],
"description": "<string>"
}
],
"relations": [
{
"type": "Relation",
"columns": ["<string>"],
"reference": {
"datasourceId": "<string>",
"columns": ["<string>"],
"table": "<string>"
},
"description": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schema: [
{
name: '<string>',
datasourceId: '<string>',
columns: [
{
name: '<string>',
type: 'string',
nullable: true,
description: '<string>',
default: '<string>'
}
],
description: '<string>',
indexes: [{type: 'Index', columns: ['<string>'], description: '<string>'}],
virtualColumns: [
{
name: '<string>',
type: 'string',
query: '<string>',
nullable: true,
description: '<string>'
}
],
uniqueKeys: [{type: 'UniqueKey', columns: ['<string>'], description: '<string>'}],
relations: [
{
type: 'Relation',
columns: ['<string>'],
reference: {datasourceId: '<string>', columns: ['<string>'], table: '<string>'},
description: '<string>'
}
]
}
]
})
};
fetch('https://api.reelevant.com/v2/datasources/datagraph/schemas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"message": "<string>",
"data": {
"companyId": "<string>",
"resourceGroupIds": [
"<string>"
],
"versions": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z"
},
"code": 123
}{
"program": "<string>",
"version": "<string>",
"datetime": "<string>",
"status": "fail",
"code": 123,
"message": "<string>",
"data": {},
"error_code": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Update a datagraph schema
